Summary: A Portable Implementation of MPI
Name: mpich
Version: 1.2.0
Release: 12
License: freely distributable
Group: Development/Libraries
Source: ftp://ftp.mcs.anl.gov/pub/mpi/mpich-1.2.0.tar.bz2
Patch0: mpich-1.2.0-buildroot.patch
BuildRoot: %{_tmppath}/mpich-%{version}-root

%description
MPICH is a freely available, portable implementation of MPI (Message Passing
Interface), the Standard for message-passing libraries. 

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/lib/mpich
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/mpich/man/man{1,2,3}

export OPT_CFLAGS="-I$RPM_BUILD_ROOT/usr/lib/mpich/include \
	-I$RPM_BUILD_ROOT/usr/lib/mpich/include/c++"
export OPT_LDFLAGS="-L$RPM_BUILD_ROOT/usr/lib/mpich/lib"
make install PREFIX=$RPM_BUILD_ROOT/usr/lib/mpich

#fix for broken link
(cd $RPM_BUILD_ROOT/usr/lib/mpich/mpe_examples
	rm mpirun
	ln -sf ../bin/mpirun mpirun
)

# reorg some things to be more FSstnd
#install -d -m 755  $RPM_BUILD_ROOT/usr/share/mpi
#mv -v $RPM_BUILD_ROOT/usr/share/{Makefile.sample,machines.LINUX*,machines.sample} \
#	$RPM_BUILD_ROOT/usr/share/mpi
#mv -v $RPM_BUILD_ROOT/usr/{build,examples,mpe_examples,MPI-2-C++} \
#	$RPM_BUILD_ROOT/usr/share/mpi
#rm -f $RPM_BUILD_ROOT/usr/sbin/mpiuninstall

# for some reason this PERL thing isn't working...
perl -p -i -e "s|\@PERL@|/usr/bin/perl|g;" \
	$RPM_BUILD_ROOT/usr/lib/mpich/sbin/chkserv


# and datadir
perl -p -i -e "s|\@datadir@|/usr/lib/mpich/share|g;" \
	$RPM_BUILD_ROOT/usr/lib/mpich/sbin/chkserv




# get rid of the $RPM_BUILD_ROOT
find $RPM_BUILD_ROOT/usr -type f \
   -exec perl -p -i -e "s|$RPM_BUILD_ROOT||g;" {} \;
#find $RPM_BUILD_ROOT -type l -name mpirun -exec ln -sfv /usr/bin/mpirun {} \;

#gzip the man pages, they're not detected by the build system

find  $RPM_BUILD_ROOT/usr/lib/mpich/man/ -type f -exec gzip -9nf {} \;

# This is just a tcl/tk based log viewer.  I don't want mpich to require
# tcl/tk and X just to install.
#rm $RPM_BUILD_ROOT/usr/share/mpi/bin/upshot
find $RPM_BUILD_ROOT/usr -type d -exec chmod 0755 {} \;


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT KnownBugs README www doc/guide.ps.gz 
%config(noreplace) /usr/lib/mpich/share/machines.*[^sample]
/usr/lib/mpich/MPI-2-C++
/usr/lib/mpich/bin 
/usr/lib/mpich/doc 
/usr/lib/mpich/examples 
/usr/lib/mpich/include
/usr/lib/mpich/lib
/usr/lib/mpich/man
/usr/lib/mpich/sbin
/usr/lib/mpich/share/Makefile.sample
/usr/lib/mpich/share/machines.sample

%changelog
* Tue Dec 19 2000 Tim Powers <timp@redhat.com>
- bzip'ed sources

* Tue Dec 05 2000 Trond Eivind Glomsrd <teg@redhat.com>
- mark /usr/lib/mpich/share/machines.LINUX  as a config file
  (#21782)
- replace "@datadir@" with proper value in 
  /usr/lib/mpich/sbin/chkserv  (#21783)


* Tue Aug 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- directories should be 755, not 775

* Mon Jul 31 2000 Harald Hoyer <harald@redhat.com>
- added man1 pages

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- gzip the man pages, they're not detected by the build
  system being in the mpich directory
- rebuild

* Sun Jun 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use /usr/lib/mpich instead of /usr/share/mpi
- tweaks to make it compile with new tools

* Fri Feb 25 2000 Tim Powers <timp@redhat.com>
- built for Powertools 6.2

* Fri Feb 18 2000 Mike Wangsmo <wanger@redhat.com>
- moved everything to /usr/share/mpi so mpi can coexist w/ LAM

* Fri Feb 04 2000 Mike Wangsmo <wanger@redhat.com>
- pulled out upshot (I don't mpich to require X).

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- buildroot
